Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface BN1

All Superinterfaces:
  ANY, ANYNonNull, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BN1Impl

    public interface BN1

extends ANYNonNull

A representation of the model object 'BN1'. The BooleanNonNull type is used where a Boolean cannot have a null value. A Boolean value can be either true or false.

The following features are supported:

- `Value`

See Also:
  `CDAR2Package.getBN1()`

Method Summary
`boolean` | `isSetValue()` Returns whether the value of the '`Value`' attribute is set.
`boolean` | `isValue()` Returns the value of the 'Value' attribute.
`void` | `setValue(boolean value)` Sets the value of the '`Value`' attribute.
`void` | `unsetValue()` Unsets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isValue

    boolean isValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `isSetValue()`, `unsetValue()`, `setValue(boolean)`, `CDAR2Package.getBN1_Value()`

### setValue

    void setValue(boolean value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `isSetValue()`, `unsetValue()`, `isValue()`

### unsetValue

    void unsetValue()

  Unsets the value of the '`Value`' attribute.

  See Also:
    `isSetValue()`, `isValue()`, `setValue(boolean)`

### isSetValue

    boolean isSetValue()

  Returns whether the value of the '`Value`' attribute is set.

  Returns:
    whether the value of the 'Value' attribute is set.
  See Also:
    `unsetValue()`, `isValue()`, `setValue(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD